/************************/
/* Header de COMPRESS.C */
/************************/
#if !defined(__STDIO)     /* Pour la structure size_t */
#include <stdio.h>
#endif


/********************************************************************/
/* Compression de l'image pointe par new par dduction de l'image  */
/* Pointe par last. Les deux images ont pour taille size octets    */
/* file dsigne le nom du fichier cible. mode le type d'accs fopen */
/* En retour :  > 0 : Longueur en octets du fichier compress       */
/*                0 : Impossible de crer le fichier cible ou       */
/*                    Erreur d'criture pendant la compression      */
/********************************************************************/
size_t compress(char *last, char *new, size_t size, FILE *stream) ;

/***********************************************************************/
/* Dduction de l'image pointe par last avec les donnes pointes     */
/* Par data pour obtenir la nouvelle image pointe par out.            */
/* Les deux images ont une taille de size octets.                      */
/* Renvoit la taille du fichier aprs dcompression (size normalement) */
/***********************************************************************/
size_t decompress(char *last, char *data, size_t size, char *out) ;
