/**************************************************/
/*------------------ GSTEVN.H --------------------*/
/* Module des fonctions de gestion des vnements */
/**************************************************/
extern OBJECT *adr_menu ; /* Adresse de la barre du menu */
extern OBJECT *adr_info ; /* Adresse de la boite d'infos */
extern char   titre[] ;
extern OBJECT *popup_name ;
extern OBJECT *popup_algo ;
extern FRACTAL fr ;         /* Fractal  afficher en temps rel */

/******************************************************/
/* Affichage d'une boite de dialogue dans une fentre */
/******************************************************/
void fshow_dialog(OBJECT *obj, char *title) ;

/************************************************/
/* Effacement de la boite prcdemment affiche */
/************************************************/
void fhide_dialog(void) ;

/****************************************************/
/* Remise  jour de la partie visible de la fentre */
/****************************************************/
void img_fractal_update(int w_handle) ;

/****************************/
/* Mise  jour des fentres */
/****************************/
void window_update(int *msg) ;

/*********************************************************************/
/* Mise  jour des options autorises et 'checked' du menu droulant */
/*********************************************************************/
void ajour_menu(void) ;

/*********************************************************/
/* Gestion du formulaire des caractristiques du fractal */
/*********************************************************/
int infos(FRACTAL *fr) ;

/*******************************************************/
/* Consulter/Modifier les prfrences de l'application */
/*******************************************************/
void preferences(void) ;

/********************************************************/
/* Affiche le compte rendu du calcul du fractal courant */
/********************************************************/
void report(FRACTAL *fr) ;

/*****************************/
/* Traitement du zoom centre */
/*****************************/
void zoom_centre(void) ;

/***************************/
/* Traitement du zoom zone */
/***************************/
void zoom_zone(void) ;

/*************************************/
/* Aide au choix de l'initialisateur */
/*************************************/
void init_fractal(FRACTAL *fr) ;

/********************************************************************/
/* Lance le calcul si tous les paramtres sont valides et cohrents */
/********************************************************************/
int lance_calcul(int num_fractal) ;

/***********************************/
/* Cre un nouvel ensemble fractal */
/**********************************/
void nouveau(void) ;

/*****************************************/
/* Effectue une copie du fractal courant */
/*****************************************/
void duplique(void) ;

/**************************************************/
/* Permet de changer la taille du fractal courant */
/**************************************************/
void change_taille(void) ;

/************************************************************/
/* Renvoit 0 si les deux images fractales sont diffrentes  */
/*         1 si les deux images sont identiques             */
/* Utlis pour savoir si le calcul doit tre fait  nouveau */
/************************************************************/
int same_aspect(FRACTAL *fr1, FRACTAL *fr2) ;

/*********************************/
/* Changer la palette de l'image */
/*********************************/
void traite_palette(void) ;

/*****************************/
/* Imprimer l'image courante */
/*****************************/
void traite_imprime(void) ;

void iconify_picture(int wnum) ;
void traite_cycling(int sens) ;
